* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Microsoft YaHei", sans-serif;
}


body {
  
  background: #f5f7fb;
  color: #222;
  line-height: 1.6;
  
}



header {
  
  background: #111827;
  color: white;
  text-align: center;
  padding: 50px 20px;
  
}



header h1 {
  
  font-size: 36px;
  margin-bottom: 15px;
  
}



header p {
  
  font-size: 16px;
  opacity: 0.85;
  
}



#search {
  
  margin-top: 25px;
  width: 90%;
  max-width: 500px;
  
  padding: 15px;
  
  border-radius: 30px;
  
  border: none;
  
  font-size: 16px;
  
}



section {
  
  max-width: 1000px;
  
  margin: 30px auto;
  
  padding: 0 20px;
  
}



h2 {
  
  margin-bottom: 20px;
  
  color: #111827;
  
}



.grid {
  
  display: grid;
  
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  
  gap: 20px;
  
}



.card {
  
  background: white;
  
  padding: 25px;
  
  border-radius: 15px;
  
  margin-bottom: 20px;
  
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08);
  
  transition: 0.3s;
  
}



.card:hover {
  
  transform: translateY(-5px);
  
}



.card h3 {
  
  margin-bottom: 10px;
  
  color: #2563eb;
  
}



.card p {
  
  color: #555;
  
}



footer {
  
  background: #111827;
  
  color: white;
  
  text-align: center;
  
  padding: 30px;
  
  margin-top: 50px;
  
}



@media(max-width:600px) {
  
  header h1 {
    
    font-size: 28px;
    
  }
  
  
  section {
    
    padding: 0 15px;
    
  }
  
  
}